Bug 241639 - firstboot should be able to enable sound output
Summary: firstboot should be able to enable sound output
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 241868
TreeView+ depends on / blocked
 
Reported: 2007-05-29 09:26 UTC by Florian La Roche
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 07:10:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsconfig.log (49.57 KB, text/plain)
2007-05-29 09:55 UTC, Florian La Roche
no flags Details
scsconfig.log from RHEL5 (43.09 KB, text/plain)
2007-05-29 12:35 UTC, Florian La Roche
no flags Details

Description Florian La Roche 2007-05-29 09:26:19 UTC
Description of problem:

Installing F7 and rebooting, firstboot is configuring the sound device,
but there is no knob to enable sound output. For many sound devices normal
sound output is disabled by default, so the user has to just ack the setting
and later on use the config tool to enable output. This is bad user
experience.

regards,

Florian La Roche




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Martin Stransky 2007-05-29 09:36:42 UTC
Eh, it should not happen. Sound is enabled by alsaunmute utility when
system-config-soundcard starts and it's saved when your box is rebooted.

So, did you hear the test sound? If so and sound is disabled after reboot, it's
a bug somewhere in volume store/restore.

Actually, if there isn't any stored sound configuration (during boot), the
alsaunmute utility is called during boot and it should enable a sound for you.

So please attach steps how to reproduce.

Comment 2 Martin Stransky 2007-05-29 09:40:00 UTC
btw. please run s-c-soundcard, switch to "System" page, create scsconfig.log and
attach it here. thanks.

Comment 3 Florian La Roche 2007-05-29 09:53:53 UTC
This happens with a Siemens Lifebook S7020 and I've also tested that
"alsaunmute 0" indeed does not work, but then using the gnome UI I can
enable normal speaker output without problems.

Will attach log file...

Thanks,

Florian La Roche


Comment 4 Florian La Roche 2007-05-29 09:55:13 UTC
Created attachment 155580 [details]
scsconfig.log

scsconfig.log

Comment 5 Martin Stransky 2007-05-29 09:58:13 UTC
Aha, so it's a bug in alsaunmute. Please attach scsconfig.log just after boot
(when sound doesn't work) and when it works (if you adjust it with gnome UI).

Comment 6 Florian La Roche 2007-05-29 12:33:39 UTC
Laptop is already re-installed now with RHEL5. This did not show up the
possibility to configure within Gnome UI, but starting alsamixer, I can
enable the Internal Speaker and then just run system-config-soundcard.

The difference in the log file is then:

@@ -342,8 +342,8 @@
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 64
   Mono:
-  Front Left: Playback 0 [0%] [off]
-  Front Right: Playback 0 [0%] [off]
+  Front Left: Playback 57 [89%] [on]
+  Front Right: Playback 57 [89%] [on]
 Simple mixer control 'Off-hook',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono


Comment 7 Florian La Roche 2007-05-29 12:35:14 UTC
Created attachment 155588 [details]
scsconfig.log from RHEL5

Again the RHEL5 full log file.

Comment 8 Martin Stransky 2007-05-30 13:03:45 UTC
aha, okay. btw if this bug is in RHEL-5 too, we can fix it there. alsa-utils is
planned for the next update for 5.1

Comment 9 Martin Stransky 2007-05-30 13:40:18 UTC
patch added to cvs for F-7/devel.


Note You need to log in before you can comment on or make changes to this bug.